Generic Image Library: virtual_2d_locator Class Template Reference

Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# virtual_2d_locator Class Template Reference
[Models, Models]

`#include <virtual_locator.hpp>`

Inheritance diagram for virtual_2d_locator:

List of all members.

## Detailed Description

### template<typename Deref, bool IsTransposed>
class boost::gil::virtual_2d_locator< Deref, IsTransposed >

A 2D locator over a virtual image. Upon dereferencing, invokes a given function object passing it its coordinates. Models: PixelLocatorConcept, HasDynamicXStepTypeConcept, HasDynamicYStepTypeConcept, HasTransposedTypeConcept.

## Public Types

typedef pixel_2d_locator_base
< virtual_2d_locator< Deref,
IsTransposed >
, position_iterator< Deref,
IsTransposed >
, position_iterator< Deref,
1-IsTransposed > >

parent_t

typedef virtual_2d_locator < typename Deref::const_t, IsTransposed > | const_t
typedef Deref | deref_fn_t
typedef parent_t::point_t | point_t
typedef parent_t::coord_t | coord_t
typedef parent_t::x_coord_t | x_coord_t
typedef parent_t::y_coord_t | y_coord_t
typedef parent_t::x_iterator | x_iterator
typedef parent_t::y_iterator | y_iterator

## Public Member Functions

| virtual_2d_locator (const point_t &p=point_t(0, 0), const point_t &step=point_t(1, 1), const deref_fn_t &d=deref_fn_t())
template<typename D, bool TR>
| virtual_2d_locator (const virtual_2d_locator< D, TR > &loc, coord_t y_step)
template<typename D, bool TR>
| virtual_2d_locator (const virtual_2d_locator< D, TR > &loc, coord_t x_step, coord_t y_step, bool transpose=false)
template<typename D, bool TR>
| virtual_2d_locator (const virtual_2d_locator< D, TR > &pl)
| virtual_2d_locator (const virtual_2d_locator &pl)
bool | operator== (const this_t &p) const
x_iterator & | x ()
y_iterator & | y ()
x_iterator const & | x () const
y_iterator const & | y () const
y_coord_t | y_distance_to (const this_t &it2, x_coord_t xDiff) const
bool | is_1d_traversable (x_coord_t) const
const point_t & | pos () const
const point_t & | step () const
const deref_fn_t & | deref_fn () const

## Friends

class | virtual_2d_locator

The documentation for this class was generated from the following file:

- virtual_locator.hpp